MURASTER()

NAME
muraster -

This is a much simpler version of mutool draw command. As such it can be used to quickly rasterize an input file with a set of options.

COMMAND LINE OPTIONS

            muraster [options] file [pages]

[options]

            -p password
                The password needed to open a password protected PDF file.

            -o filename
                The output file name.

            -F format
                The output format (default inferred from output file name), e.g. pam, pbm, pgm, pkm, ppm.

            -s information
                Show extra information: - m: show memory use. - t: show timings.

            -R rotation
                Set a rotation for the output (default auto): - auto. - 0. - 90. - 180. - 270. - clockwise.

            -r x,y
                Comma separated x and y resolution in DPI (default: 300,300).

            -w width
                Printable width (in inches) (default: 8.27).

            -h height
                Printable height (in inches) (default: 11.69).

            -f  Fit file to page if too large.

            -B height
                Set the minimum band height (e.g. 32).

            -M memory
                Sets the maximum band memory (e.g. 655360).

            -W width
                Page width for EPUB layout.

            -H height
                Page height for EPUB layout.

            -S size
                Font size for EPUB layout.

            -U filename
                File name of user stylesheet for EPUB layout

            -X  Disable document styles for EPUB layout

            -A level
                Set anti-aliasing level.

                •   0: off.

                •   2: 4 levels.

                •   4: 16 levels.

                •   8: 256 levels.

            -A graphics level / text level
                Independently set the anti-aliasing levels for graphics and text.

                e.g. -A 0/4.

    [pages]
        A comma separated list of page numbers and ranges.

Example usage #1:

This will render a raster file from page one of the input file "mupdf_explored.pdf". The output file will be called "test.ppm", have a clockwise rotation and specific graphics/text anti-aliasing applied.

            muraster -o test.ppm -R clockwise -A 0/8 mupdf_explored.pdf 1